#landing {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: flex-start;
    
    position: relative;
    
    width: 100%;
    min-height: calc(100vh - var(--header-size, 0px));
    padding: min(var(--page-bounds, 0px), var(--dynamic-padding, 0px)) var(--dynamic-padding, 0px);
    
    gap: 24px;
}

#landing > p:last-of-type {
    max-width: 38.5rem;
}

#landing > p,
#landing > p > strong{
    color: rgba(255, 255, 255, 0.75);
    
    font-weight: 500;
    font-size: 1.1rem;
    
    line-height: calc(1.1rem * 1.75);
    letter-spacing: calc(1.1rem * var(--letter-spacing));
}

#landing > h1,
#landing > p > strong {
    color: rgb(var(--accent, 0, 0, 0));
}

#landing > h1 {
    font-weight: 700;
    font-size: 5rem;
    
    text-transform: uppercase;
    line-height: 4rem;
    letter-spacing: calc(5rem * var(--letter-spacing) * 2);
}

#landing > layout-row {
    gap: 16px;
}

#landing > layout-row > a {
    color: rgb(255, 255, 255);
    background-color: rgba(255, 255, 255, 0.1);
    
    border: 1px solid rgba(255, 255, 255, 0.25);
    border-radius: 16px;
    
    box-shadow: 0 0 32px rgba(255, 255, 255, 0);
    
    position: relative;
    text-align: center;
    
    backdrop-filter: blur(8px);
    
    font-weight: 500;
    font-size: 0.85rem;
    
    line-height: 52px;
    letter-spacing: calc(0.85rem * var(--letter-spacing));
    
    height: 52px;
    padding: 0 32px;
    
    transition: color var(--transition), background-color var(--transition), border-color var(--transition), border-radius var(--transition), box-shadow var(--transition);
}

#landing > layout-row > a::before {
    content: "";
    position: absolute;
    
    top: 0;
    left: 0;
    
    width: 100%;
    height: 52px;
}

#landing > layout-row > a:first-of-type {
    color: rgb(0, 0, 0);
    background-color: rgb(255, 255, 255);
    backdrop-filter: none;
    border: none;
    transition: background-color var(--transition), border-radius var(--transition), box-shadow var(--transition);
}

#landing > layout-row > a:hover {
    color: rgb(0, 0, 0);
    background-color: rgb(var(--accent, 0, 0, 0));
    border-color: rgb(var(--accent, 0, 0, 0));
    border-radius: 26px;
    box-shadow: 0 0 32px rgba(var(--accent, 0, 0, 0), 0.25);
}

#landing > figure {
    background-color: rgb(0, 0, 0);
    overflow: hidden;
    pointer-events: none;
}

#landing > figure,
#landing > figure::after,
#landing > figure > img {
    position: absolute;
    
    top: 0;
    left: 0;
    
    width: 100%;
    height: 100%;
    
    z-index: -1;
}

#landing > figure::after {
    content: "";
    
    background: rgba(0, 0, 0, 0.5);
    background:
        radial-gradient(circle, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 1) 100%),
        linear-gradient(90deg, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0) 50%),
        rgba(0, 0, 0, 0.5);
        
    width: 200vw;
    height: 200vh;
    
    z-index: 5;
}

#landing > figure > img {
    opacity: 0;
	z-index: 4;
	transition: opacity 1500ms ease-in-out;
}

#landing > figure > img[data-active="1"] {
    opacity: 1;
    z-index: 2;
}

@media (max-width: 840px) {
    #landing {
        align-items: center;
        min-height: calc(100vh - var(--header-size, 0px) * 2);
        padding-bottom: calc(60px + var(--padding, 0px));
        gap: 16px;
    }
    
    #landing > h1 {
        line-height: 5rem;
    }
    
    #landing > p {
        text-align: center;
    }
    
    #landing > h1,
    #landing > layout-row > a {
        text-align: center;
        width: 100%;
    }
    
    #landing > layout-row {
        flex-direction: column;
        align-items: center;
        
        position: absolute;
        
        bottom: var(--padding, 0px);
        left: var(--padding, 0px);
        
        width: calc(100% - var(--padding, 0px) * 2);
    }
    
    #landing > figure::after {
        background: rgba(0, 0, 0, 0.85);
    }
}